The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

update php 5.6.14 to php 5.6.16 in EA4

Discussion in 'EasyApache' started by ribo, Dec 21, 2015.

  1. ribo

    ribo Active Member

    Joined:
    Oct 15, 2015
    Messages:
    39
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Greece
    cPanel Access Level:
    Root Administrator
    Hello, what is the command to update php 5.6.14 to php 5.6.16 in EA4. Can i update it in EA4?
     
  2. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,814
    Likes Received:
    672
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    Hello :)

    PHP installations are managed through YUM with EasyApache 4. You can simply run "yum update" or await the nightly cPanel update process if you have enabled automatic updates. Keep in mind that new versions are only available after they are published by cPanel.

    Thank you.
     
  3. ribo

    ribo Active Member

    Joined:
    Oct 15, 2015
    Messages:
    39
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Greece
    cPanel Access Level:
    Root Administrator
    ok, so i run "yum update" but No Packages marked for Update .
    So php 5.6.16 is only in EA3?
     
  4. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,814
    Likes Received:
    672
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    Yes, that is correct. EasyApache 4 is still considered a technical preview so updates to versions might not happen as quickly as with EasyApache 3. This is discussed on the following thread:

    Not getting PHP update using yum

    Thank you.
     
  5. ribo

    ribo Active Member

    Joined:
    Oct 15, 2015
    Messages:
    39
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Greece
    cPanel Access Level:
    Root Administrator
    Thank you. Do you know please in which version of cpanel will we expect that?
     
  6. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,814
    Likes Received:
    672
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    It's not dependent on the version of cPanel installed on your system, but rather when it's published to the EasyApache 4 mirrors. There's currently no available time frame on when that version will be available on the EasyApache 4 mirrors.

    Thank you.
     
  7. ribo

    ribo Active Member

    Joined:
    Oct 15, 2015
    Messages:
    39
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Greece
    cPanel Access Level:
    Root Administrator
    So if i want to update php version, apache version must i revert back to EA 3
     
  8. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,814
    Likes Received:
    672
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    Yes, that's the case if it's a production server and you require that version of PHP right away.

    Thank you.
     
  9. ribo

    ribo Active Member

    Joined:
    Oct 15, 2015
    Messages:
    39
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Greece
    cPanel Access Level:
    Root Administrator
    Thank you michael
     
Loading...

Share This Page